import request from './request'


export default {
    getAll(data) {
        return request({
            url: '/server/all/' + data,
            method: 'get'
        });
    },

    query(data) {
        return request({
            url: '/server/query',
            method: 'post',
            data
        });
    },

    update(data) {
        return request({
            url: '/server/update',
            method: 'put',
            data
        });
    },

    updateBatch(data) {
        return request({
            url: '/server/update_batch',
            method: 'put',
            data
        });
    },

    delete(data) {
        return request({
            url: '/server/delete',
            method: 'delete',
            data
        });
    },

    deleteBatch(data) {
        return request({
            url: '/server/delete_batch',
            method: 'delete',
            data
        });
    }
}
